Package: groovy.mock.interceptor

## [Groovy] Class Demand

- groovy.mock.interceptor.Demand

- The object that registers method calls on it for the use with Mocks and Stubs. For each call a CallSpec object is added to the recorded list.

  Authors:
    Dierk Koenig

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map` | `ignore`
    `List` | `recorded`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `invokeMethod(String methodName, Object args)`
    `` | `def` | `verify(List calls)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### Map ignore

    - #### List recorded

  - ### Method Detail

    - #### Object invokeMethod(String methodName, Object args)

    - #### def verify(List calls)